Storyden
Accounts

Account Manage Create

Create a human account without creating an authentication method. This is intended for admin and integration driven account provisioning.

POST/accounts

Create a human account without creating an authentication method. This is intended for admin and integration driven account provisioning.

Authorization

storyden-session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/accounts" \  -H "Content-Type: application/json" \  -d '{    "handle": "string"  }'
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "misc": {},  "joined": "2019-08-24T14:15:22Z",  "suspended": "2019-08-24T14:15:22Z",  "handle": "string",  "name": "string",  "roles": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "name": "string",      "colour": "string",      "permissions": [        "CREATE_POST"      ],      "meta": {},      "badge": true,      "default": true    }  ],  "bio": "string",  "signature": "string",  "links": [    {      "text": "string",      "url": "string"    }  ],  "meta": {},  "verified_status": "none",  "kind": "human",  "email_addresses": [    {      "id": "string",      "email_address": "string",      "verified": true    }  ],  "auth_services": [    "string"  ],  "notifications": 0,  "admin": true,  "invited_by": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  }}